App::Cme::Command::search(3pm)

NAME
App::Cme::Command::search - Search the configuration of an application

VERSION
version 1.049

SYNOPSIS

DESCRIPTION
Search configuration data with the following options:

-search
    Specifies a string or pattern to search. "cme" will a list of path pointing to the matching tree element and their value. See "grab(...)" in Config::Model::AnyThing for details on the path syntax.

-narrow-search
    Narrows down the search to:

    element
        The element name (e.g. "Host" for ssh model)

    value
        The element value

    key A hash key (e.g. key of "Match" element for ssh model)

    summary
        Summary text

    description
        description text

    help
        value help text

Example:

 $ cme search ssh --search dod -narrow value
 Host:"*.debian.org" User -> 'dod'

Common options
See "Global Options" in cme.

SEE ALSO
cme

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999